CVE-2010-2495

HIGH

Description

The pppol2tp_xmit function in drivers/net/pppol2tp.c in the L2TP implementation in the Linux kernel before 2.6.34 does not properly validate certain values associated with an interface, which allows attackers to cause a denial of service (NULL pointer dereference and OOPS) or possibly have unspecified other impact via vectors related to a routing change.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3feec9095d12e311b7d4eb7fe7e5dfa75d4a72a5

http://lists.opensuse.org/opensuse-security-announce/2010-08/msg00000.html

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.34

http://www.openwall.com/lists/oss-security/2010/06/23/3

http://www.openwall.com/lists/oss-security/2010/07/04/2

http://www.openwall.com/lists/oss-security/2010/07/04/3

http://www.openwall.com/lists/oss-security/2010/07/06/11

http://www.ubuntu.com/usn/USN-1000-1

https://bugzilla.redhat.com/show_bug.cgi?id=607054

Details

Source: MITRE

Published: 2010-09-08

Updated: 2020-08-05

Type: CWE-476

Risk Information

CVSS v2.0

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (6 total)

IDNameProductFamilySeverity
65101Ubuntu 10.04 LTS : linux-lts-backport-maverick vulnerabilities (USN-1083-1)NessusUbuntu Local Security Checks
critical
51609SuSE 11.1 Security Update : Linux Kernel (SAT Patch Numbers 2760 / 2763 / 2764)NessusSuSE Local Security Checks
critical
50044Ubuntu 6.06 LTS / 8.04 LTS / 9.04 / 9.10 / 10.04 LTS / 10.10 : linux, linux-ec2, linux-source-2.6.15 vulnerabilities (USN-1000-1)NessusUbuntu Local Security Checks
critical
49671openSUSE Security Update : kernel (openSUSE-SU-2010:0664-1)NessusSuSE Local Security Checks
critical
47722Fedora 12 : kernel-2.6.32.16-141.fc12 (2010-10880)NessusFedora Local Security Checks
critical
47687Fedora 13 : kernel-2.6.33.6-147.fc13 (2010-10876)NessusFedora Local Security Checks
critical